org.jfree.data.xml

## Class DatasetReader

- java.lang.Object
- - org.jfree.data.xml.DatasetReader

    public class DatasetReader
    extends java.lang.Object

A utility class for reading datasets from XML.

### Constructor Summary

Constructors
Constructor and Description
`DatasetReader()`

### Method Summary

Methods
`static CategoryDataset` `readCategoryDatasetFromXML(java.io.File file)` Reads a `CategoryDataset` from a file.
`static CategoryDataset` `readCategoryDatasetFromXML(java.io.InputStream in)` Reads a `CategoryDataset` from a stream.
`static PieDataset` `readPieDatasetFromXML(java.io.File file)` Reads a `PieDataset` from an XML file.
`static PieDataset` `readPieDatasetFromXML(java.io.InputStream in)` Reads a `PieDataset` from a stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatasetReader

    public DatasetReader()

### Method Detail

#### readPieDatasetFromXML

    public static PieDataset readPieDatasetFromXML(java.io.File file)
                                            throws java.io.IOException

Reads a `PieDataset` from an XML file.

Parameters:
  `file` - the file.
Returns:
  A dataset.
Throws:
  `java.io.IOException` - if there is a problem reading the file.

#### readPieDatasetFromXML

    public static PieDataset readPieDatasetFromXML(java.io.InputStream in)
                                            throws java.io.IOException

Reads a `PieDataset` from a stream.

Parameters:
  `in` - the input stream.
Returns:
  A dataset.
Throws:
  `java.io.IOException` - if there is an I/O error.

#### readCategoryDatasetFromXML

    public static CategoryDataset readCategoryDatasetFromXML(java.io.File file)
                                                      throws java.io.IOException

Reads a `CategoryDataset` from a file.

Parameters:
  `file` - the file.
Returns:
  A dataset.
Throws:
  `java.io.IOException` - if there is a problem reading the file.

#### readCategoryDatasetFromXML

    public static CategoryDataset readCategoryDatasetFromXML(java.io.InputStream in)
                                                      throws java.io.IOException

Reads a `CategoryDataset` from a stream.

Parameters:
  `in` - the stream.
Returns:
  A dataset.
Throws:
  `java.io.IOException` - if there is a problem reading the file.